import matplotlib.pyplot as plt
import pandas as pd

#first segment for reading a csv file and saving its values in the Pandas df dataframe

#read csv using absolute path and parse date column
df = pd.read_csv("C:\DataScienceSamples\ema_values_for_period_length_by_symbol_and_date.csv"
    , parse_dates=['date'])

#add year and month columns with datetime data type to df dataframe
df['year'] = pd.to_datetime(df['date']).dt.year
df['month'] = pd.to_datetime(df['date']).dt.month

#for printing all columns and all rows of dataframe
pd.options.display.width = 0
pd.set_option("display.max_rows",df.shape[0])

# display full collection of dataframe rows
print(df)

#######################################################################################################
#filter df dataframe by year, symbol and month
#define elements of filter
df2 = df.query('(year == 2020) and (symbol == "TQQQ")')


#plot close, ema_50, and ema_200 column values by date for TQQQ in 2020
plt.style.use('seaborn')
price_date = (df2)['date']
price_close = (df2)['close']
ema_50 = (df2)['ema_50']
ema_200 = (df2)['ema_200']
plt.plot_date(price_date, price_close, linestyle='solid',marker = "s", label= 'close',color = 'black')
plt.plot_date(price_date, ema_50, linestyle='dashed', marker = "o", label = 'ema_50',color = 'red')
plt.plot_date(price_date, ema_200, linestyle='dotted', marker = "+", label = 'ema_200',color = 'red')
plt.gcf().autofmt_xdate()
plt.legend()
#for title
plt.suptitle('TQQQ Close, ema_50, ema_200',fontsize=24, y=1)
#for subtitle
plt.title('for 2020',fontsize=16)
plt.savefig("C:\\python_programs_output\\ts_plots\\ts_Figure_3_programmatically_saved.png")
plt.show()


