import matplotlib.pyplot as plt
import pandas as pd

#first segment for reading a csv file and saving its values in the Pandas df dataframe

#read csv using absolute path and parse date column
df = pd.read_csv("C:\DataScienceSamples\ema_values_for_period_length_by_symbol_and_date.csv"
    , parse_dates=['date'])

#add year and month columns with datetime data type to df dataframe
df['year'] = pd.to_datetime(df['date']).dt.year
df['month'] = pd.to_datetime(df['date']).dt.month

#for printing all columns and all rows of dataframe
pd.options.display.width = 0
pd.set_option("display.max_rows",df.shape[0])

# display full collection of dataframe rows
print(df)

###############################################################################################

#filter df dataframe by year, symbol and month
#define elements of filter
df2 = df.query('(year == 2020) and (symbol == "TQQQ") and (month <= 4)')


#plot close column values by date for TQQQ from jan through april in 2020

plt.style.use('seaborn')
price_date = (df2)['date']    
price_close = (df2)['close']
plt.plot_date(price_date, price_close, linestyle='solid')
plt.gcf().autofmt_xdate()
#for title
plt.suptitle('TQQQ Close',fontsize=24, y=1)
#for subtitle
plt.title('from Jan thru Apr 2020',fontsize=16) 
plt.savefig("C:\\python_programs_output\\ts_plots\\ts_Figure_1_programmatically_saved.png")        
plt.show()
plt.show()

